• Global community
    • Language:
      • Deutsch
      • English
      • Español
      • Français
      • Português
  • 日本語コミュニティ
    Dedicated community for Japanese speakers
  • 한국 커뮤니티
    Dedicated community for Korean speakers
Exit
0

QT editor can't "import Painter 1.0" as used in plugin examples

New Here ,
Jun 30, 2023 Jun 30, 2023

Copy link to clipboard

Copied

Hi, trying to create a few plugins for Substance Painter. When I edit main.qml in QT editor it "mostly" works except it can't import "Painter 1.0".

Hoek67_2-1688181195571.png

 


I'm using Substance Painter 2022 v 8.3.1

Hoek67_0-1688180283587.png

If I make changes, they work in substance but it will slow me down heaps if I can't get intellisense etc to work in the editor.

 

If anyone has any tips on getting QT to be able to cleanly edit plugins I'd appreciate any help.

 

The documentation is vague at the best and there seems to be nothing about integration with the QT editor. I assume the version of QT I use must be the same as the one Substance uses.

Beginning to see why so few pugins being made.

I did get a python texture exporter to work, with a single click it exports all the texture maps for my engine which will save a lot of time.

Below : My texture export results

Hoek67_1-1688180661148.png

Had a few problems in python as well as it seems substance uses 3.9 which is 7 years old and the last version to be backwards compatible with python 2.

I hope the next release updates all the underlying tools.

TOPICS
Baking , Discussion , Import & Export , Scripting

Views

41

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
no replies

Have something to add?

Join the conversation
Resources